/*
 * Class FUNCTION [G#1, G#2, BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1559 [] = {0xFF01,1551,1558,0xFFF8,1,0xFFF8,2,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1559 [] = {0xFF01,1558,0xFFF8,1,0xFFF8,2,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1559 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1559 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1559 [] = {0xFF01,1558,0xFFF8,1,0xFFF8,2,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1559 [] = {0xFF01,1558,0xFFF8,1,0xFFF8,2,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1559 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1559 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1559 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1559 [] = {1558,0xFFF8,1,0xFFF8,2,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1559 [] = {0xFF01,1558,0xFFF8,1,0xFFF8,2,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1559 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1559 [] = {1567,0xFF01,922,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1559 [] = {0xFF01,1599,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1559 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1559 [] = {0xFF01,1547,0,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1559 [] = {0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1559 [] = {0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1559 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1559 [] = {0xFF01,2096,869,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1559 [] = {0xFF01,1664,921,869,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1559 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1559 [] = {0xFF01,0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1559 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1559 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1559 [] = {0xFF01,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1559 [] = {0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1559 [] = {1669,869,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1559 [] = {1669,869,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1559 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1559 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1559 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_42_1559 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_43_1559 [] = {0xFF02,0xFFF8,3,0xFFFF};
static const EIF_TYPE_INDEX egt_44_1559 [] = {0xFFF8,3,0xFFFF};
static const EIF_TYPE_INDEX egt_45_1559 [] = {0xFFF8,3,0xFFFF};
static const EIF_TYPE_INDEX egt_46_1559 [] = {0xFFF8,3,0xFFFF};
static const EIF_TYPE_INDEX egt_47_1559 [] = {0xFFF8,3,0xFFFF};
static const EIF_TYPE_INDEX egt_48_1559 [] = {0xFFF8,3,0xFFFF};


static const struct desc_info desc_1559[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1559), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1559), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22218, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1559), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22219, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1559), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1559), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1559), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1559), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1559), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1559), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1559), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1559), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1559), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1559), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1559), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7249, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1559), 7250, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7251, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1559), 7252, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1559), 7253, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 7254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 7255, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1559), 7256, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1559), 7257, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1559), 7246, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1559), 7247, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9867, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9893, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9895, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1559), 9896, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1559), 9897, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1559), 9898, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1559), 9899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1559), 9900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9906, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1559), 9907, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1559), 9908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 9913, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1559), 9914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1559), 9920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1559), 9921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1559), 9922, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1559), 9890, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1559), 9891, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22174, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1559), 22175, 0},
	{EIF_NON_GENERIC(0x01 /*0*/), 22176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22179, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1559), 22180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22181, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22184, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22185, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22186, 20},
	{EIF_GENERIC(NULL), 22187, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22188, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22217, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22190, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22191, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1559), 22192, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22194, 32},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22195, 36},
	{EIF_GENERIC(egt_37_1559), 22196, 8},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22197, 40},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22198, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22199, 17},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22200, 28},
	{EIF_GENERIC(NULL), 22201, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22203, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_1559), 22204, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1559), 22207, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_1559), 22208, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22210, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_1559), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_1559), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_1559), 22214, 18},
	{EIF_GENERIC(egt_44_1559), 22216, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_1559), 22220, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_46_1559), 22222, 0xFFFFFFFF},
	{EIF_GENERIC(egt_47_1559), 22223, 0xFFFFFFFF},
	{EIF_GENERIC(egt_48_1559), -1, 0xFFFFFFFF},
};
void Init1559(void)
{
	IDSC(desc_1559, 0, 1558);
	IDSC(desc_1559 + 1, 1, 1558);
	IDSC(desc_1559 + 32, 594, 1558);
	IDSC(desc_1559 + 44, 700, 1558);
	IDSC(desc_1559 + 46, 1232, 1558);
	IDSC(desc_1559 + 71, 1306, 1558);
	IDSC(desc_1559 + 104, 6, 1558);
	IDSC(desc_1559 + 142, 8, 1558);
}


#ifdef __cplusplus
}
#endif
